Infoworks Rest API V3

Server
{protocol}://{host}:{port}/v3
Server Variables

Get `authentication_token` with `username` and `password`.

Get authentication_token with username and password.

Auth
Query String
GET /security/authenticate
Copy
Responses
200

Authentication success response

400

Request has invalid body or parameters.

401

Forbidden. User lacks access to specified resource.

406

Authentication Failed response

500

Internal Server Error.

Response
Copy

Get `authentication_token` with `refresh_token`.

Get authentication_token with refresh_token.

Auth
Headers
GET /security/token/access
Copy
Responses
200

Authentication success response

400

Request has invalid body or parameters.

401

Forbidden. User lacks access to specified resource.

406

Authentication Failed response

500

Internal Server Error.

Response
Copy

Purge authentication token

Purges authentication token and logs out the user. The user will need to generate a new authentication token for subsequent API calls.

Auth
DELETE /security/token/access
Responses
200

ok

400

Request has invalid body or parameters.

401

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response
Copy

Validate `authentication_token` if its active or not.

Validate authentication_token if its active or not.

Auth
GET /security/token/validate
Copy
Responses
200

Valid Token Response

400

Request has invalid body or parameters.

401

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response
Copy

Regenerate Refresh Token and blacklist old token.

Regenerate Refresh Token and blacklist old token.

Auth
DELETE /security/token/refresh
Copy
Responses
200
400

Request has invalid body or parameters.

401

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response
Copy

Authorise User.

Authorise User.

Auth
Request Body
POST /security/authorise/user
Copy
Responses
200
400

Request has invalid body or parameters.

401

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response
Copy

Get SAML Redirect URL.

Get SAML Redirect URL.

Auth
GET /security/sso/initialise
Copy
Responses
200

Valid Token Response

400

Request has invalid body or parameters.

401

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response
Copy

LDAP Authorise User.

LDAP Authorise User.

Auth
Request Body
POST /security/get/user/data
Responses
200
400

Request has invalid body or parameters.

401

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response
Copy

bulk sync (add/update) ldap user by providing login attribute

bulk sync (add/update) ldap user by providing login attribute

Auth
Request Body
POST /security/bulk-ldap-sync
Copy
Responses
200

bulk ldap users sync response

400

Request has invalid body or parameters.

401

Forbidden. User lacks access to specified resource.

406

Authentication Failed response

500

Internal Server Error.

Response
Copy

Get the User details

Get the User details

Auth
GET /admin/users
Copy
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response
Copy

Create a new User

Create a new User

Auth
Request Body
POST /admin/users
Copy
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response
Copy

Get the details of the user linked with the user_id

Get the details of the user linked with the user_id

Auth
GET /admin/users/{user_id}
Copy
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response
Copy

Delete a user.

Delete a user.

Auth
DELETE /admin/users/{user_id}
Copy
Responses
200

Ok

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response
Copy

Update the User

Update the User

Auth
Request Body
PATCH /admin/users/{user_id}
Copy
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response
Copy

Reset password for user

Reset password for user

Auth
Request Body
PATCH /admin/users/{user_id}/reset-password
Copy
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response
Copy

Delete all schedules for a specific user

Delete all schedules for a specific user

Auth
DELETE /admin/users/{user_id}/delete-schedules
Copy
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response
Copy

Toggle user login ability

Toggle user login ability

Auth
PATCH /admin/users/{user_id}/toggle-user-login
Copy
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response
Copy

Add the domain to the user linked with the user_id

Add the domain to the user linked with the user_id

Auth
Request Body
POST /admin/users/{user_id}/accessible-domains
Copy
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response
Copy

Get the User details

Get the User details

Auth
GET /users
Copy
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response
Copy

Create a new User

Create a new User

Auth
Request Body
POST /users
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response
Copy

Get the details of the user linked with the user_id

Get the details of the user linked with the user_id

Auth
GET /users/{user_id}
Copy
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response
Copy

Delete a user.

Delete a user.

Auth
DELETE /users/{user_id}
Copy
Responses
200

Ok

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response
Copy

Update the User

Update the User

Auth
Request Body
PATCH /users/{user_id}
Copy
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response
Copy

Reset password for user

Reset password for user

Auth
Request Body
PATCH /users/{user_id}/reset-password
Copy
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response
Copy

Delete all schedules for a specific user

Delete all schedules for a specific user

Auth
DELETE /users/{user_id}/delete-schedules
Copy
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response
Copy

Toggle user login ability

Toggle user login ability

Auth
PATCH /users/{user_id}/toggle-user-login
Copy
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response
Copy

Add the domain to the user linked with the user_id

Add the domain to the user linked with the user_id

Auth
Request Body
POST /users/{user_id}/accessible-domains
Copy
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response
Copy

Unlock the user

Unlock the user by providing email id

Auth
Query String
POST /users/unlock
Copy
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response
Copy

Get the list of environments

Retrieves the list of environments that are accessible to the user.

Auth
Query String
GET /admin/environment
Copy
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response
Copy

Create a new environment

Creates or clones a environment. To clone an existing environment, add the resource_id_to_clone query parameter.
Note: Cloning an environment will clone all its clusters and storages.

Auth
Query String
Request Body
POST /admin/environment
Copy
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response
Copy

Get the environment id details

Get the environment id details

Auth
GET /admin/environment/{environment_id}
Copy
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response
Copy

Delete an Environment

Delete an Environment

Auth
DELETE /admin/environment/{environment_id}
Copy
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response
Copy

Update an environment

Update an existing environment

Auth
Request Body
PATCH /admin/environment/{environment_id}
Copy
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response
Copy

Get the environment id storage details

Get the environment id storage details

Auth
GET /admin/environment/{environment_id}/environment-storage
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Create storage for environment id

Create storage for environment id

Auth
Request Body
POST /admin/environment/{environment_id}/environment-storage
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get the environment storage id storage details

Get the environment storage id storage details

Auth
GET /admin/environment/{environment_id}/environment-storage/{environment_storage_id}
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get list of pipelines using the storage

Get list of pipelines using the storage

Auth
GET /admin/environment/{environment_id}/environment-storage/{environment_storage_id}/pipelines
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get List of ephemeral computes for environment

Get List of ephemeral computes for environment

Auth
GET /admin/environment/{environment_id}/environment-compute-template
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Create ephemeral cluster

Create ephemeral cluster

Auth
Request Body
POST /admin/environment/{environment_id}/environment-compute-template
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get ephemeral computes for environment by id

Get ephemeral computes for environment by id

Auth
GET /admin/environment/{environment_id}/environment-compute-template/{environment_compute_template_id}
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get the list of environments interactive (persistent) templates

Get the list of environments interactive (persistent) templates

Auth
GET /admin/environment/{environment_id}/environment-interactive-clusters
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Create an interactive compute

Create an interactive compute

Auth
Request Body
POST /admin/environment/{environment_id}/environment-interactive-clusters
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get persistent computes for environment by id

Get persistent computes for environment by id

Auth
GET /admin/environment/{environment_id}/environment-interactive-clusters/{environment_interactive_clusters_id}
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get the accessible domains present within an environment accessible by a user

Get the accessible domains present within an environment accessible by a user

Auth
GET /admin/environment/{environment_id}/accessible-domains
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Gets all environment clusters.

Gets all environment clusters.

Auth
GET /admin/environment/{environment_id}/environment-clusters
Responses
200

Success

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get list of sources

Get list of sources

Auth
Query String
GET /sources
Responses
200

successful operation

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Create source

Create source

Auth
Request Body

Source configurations

POST /sources
Responses
200

successful operation

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get Source Info

Get Source Info

Auth
GET /sources/{source_id}
Responses
200

successful operation

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Delete source

Delete source

Auth
DELETE /sources/{source_id}
Responses
200

successful operation

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Update source

Update source

Auth
Request Body

Source configurations

PATCH /sources/{source_id}
Responses
200

successful operation

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Browse source

Browse source

Auth
GET /sources/{source_id}/source_tables
Responses
200

successful operation

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Add query tables

Add query tables

Auth
Request Body

Query table configurations

POST /sources/{source_id}/tables/query_tables
Responses
200

successful operation

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Crawl Entity Schema

Crawl Entity Schema

Auth
GET /sources/{source_id}/crawl-schema
Responses
200
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Bulk Crawl Entity Schema

Bulk Crawl Entity Schema

Auth
GET /sources/{source_id}/bulk-crawl-schema
Responses
200
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Check status for crawling

Check status for crawling

Auth
GET /sources/{source_id}/crawl-status
Responses
200
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Check status for bulk crawling

Check status for bulk crawling

Auth
GET /sources/{source_id}/bulk-crawl-status
Responses
200
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get source connection details

Get source connection details

Auth
GET /sources/{source_id}/configurations/connection
Responses
200

OK

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Update an existing source connection

Update an existing source connection

Auth
Request Body
PUT /sources/{source_id}/configurations/connection
Responses
200

OK

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Add advanced configuration to the source

Add advanced configuration to the source

Auth
Request Body
POST /sources/{source_id}/configurations/advance
Responses
200

OK

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get all advanced configuration of the source

Get all advanced configuration of the source

Auth
GET /sources/{source_id}/configurations/advance
Responses
200

OK

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get a source advanced configuration

Get a source advanced configuration

Auth
GET /sources/{source_id}/configurations/advance/{key}
Responses
200

OK

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Update a source advanced configuration

Update a source advanced configuration

Auth
Request Body
PUT /sources/{source_id}/configurations/advance/{key}
Responses
200

OK

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Delete a source advanced configuration

Delete a source advanced configuration

Auth
DELETE /sources/{source_id}/configurations/advance/{key}
Responses
200

OK

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get source Configuration

Get source Configuration

Auth
GET /sources/{source_id}/configurations
Responses
200

OK

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get Generic Source Types List

Get Generic Source Types List

Auth
Query String
GET /admin/generic-source-type
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Register or Create Generic Source Type

Register or Create Generic Source Type

Auth
Request Body
POST /admin/generic-source-type
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get Generic Source Type By Id

Get Generic Source Type By Id

Auth
GET /admin/generic-source-type/{generic_source_type_id}
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Update Generic Source Type By Id

Update Generic Source Type By Id

Auth
Request Body
PATCH /admin/generic-source-type/{generic_source_type_id}
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Delete Generic Source Type By Id

Delete Generic Source Type By Id

Auth
DELETE /admin/generic-source-type/{generic_source_type_id}
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get Generic Source Type Dependencies

Retrieves the dependencies for the Generic Source Type

Auth
GET /admin/generic-source-type/{generic_source_type_id}/dependencies
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get all files in Generic Source Type by id

Get all files in Generic Source Type by generic_source_type_id

Auth
GET /admin/generic-source-type/{generic_source_type_id}/files
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

add file in Generic Source Type by id

add file in Generic Source Type by generic_source_type_id

Auth
Request Body
POST /admin/generic-source-type/{generic_source_type_id}/files
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get a list of all topics mapping.

Get a list of all topics mapping.

Auth
GET /sources/{source_id}/topic-mappings
Responses
200

Topics Mapping

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Create Topic Mapping For Source

Create Topic Mapping For Source

Auth
Request Body
POST /sources/{source_id}/topic-mappings
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get topic mapping id.

Get topic mapping id.

Auth
GET /sources/{source_id}/topic-mappings/{topic_mapping_id}
Responses
200

Topics Mapping Id

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Update Topic Mapping For Source

Update Topic Mapping For Source

Auth
Request Body
PATCH /sources/{source_id}/topic-mappings/{topic_mapping_id}
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Delete Topic Mapping For Source

Delete Topic Mapping For Source

Auth
DELETE /sources/{source_id}/topic-mappings/{topic_mapping_id}
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get topics From Source

Get topics From Source

Auth
GET /sources/{source_id}/topics
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get topic Preview

Get topics Preview

Auth
GET /sources/{source_id}/topic-mappings/{topic_mapping_id}/preview
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Crawl Schema For Topic Mapping

Crawl Schema For Topic Mapping

Auth
GET /sources/{source_id}/topic-mappings/{topic_mapping_id}/crawl-schema
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get Table Schema From Mapping

Get Table Schema From Mapping

Auth
Query String
GET /sources/{source_id}/topic-mappings/{topic_mapping_id}/table-schema
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Create Streaming Table

Create Streaming Table

Auth
Request Body
POST /sources/{source_id}/topic-mappings/{topic_mapping_id}/tables
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get Streaming Table

Get Streaming Table

Auth
GET /sources/{source_id}/topic-mappings/{topic_mapping_id}/tables/{table_id}
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Delete Streaming Table

Delete Streaming Table

Auth
DELETE /sources/{source_id}/topic-mappings/{topic_mapping_id}/tables/{table_id}
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Delete JSON Source Table

Delete JSON Source Table

Auth
DELETE /sources/{source_id}/file-mappings/{file_mapping_id}/tables/{table_id}
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get File Mappings for JSON source

Get File Mappings for JSON source

Auth
Query String
GET /sources/{source_id}/file-mappings
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Create File Mapping For JSON Source

Create File Mapping For JSON Source

Auth
Request Body
POST /sources/{source_id}/file-mappings
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get File Mappings for JSON source by id

Get File Mappings for JSON source by id

Auth
GET /sources/{source_id}/file-mappings/{file_mapping_id}
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Delete File Mapping For JSON Source

Delete File Mapping For JSON Source

Auth
DELETE /sources/{source_id}/file-mappings/{file_mapping_id}
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Update File Mapping For JSON Source

Update File Mapping For JSON Source

Auth
Request Body
PATCH /sources/{source_id}/file-mappings/{file_mapping_id}
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get File Mapping Data Preview

Get File Mapping Data Preview

Auth
GET /sources/{source_id}/file-mappings/{file_mapping_id}/preview
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Crawl Schema For File Mapping

Crawl Schema For File Mapping

Auth
GET /sources/{source_id}/file-mappings/{file_mapping_id}/crawl-schema
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get Table Schema From Mapping

Get Table Schema From Mapping

Auth
Query String
GET /sources/{source_id}/file-mappings/{file_mapping_id}/table-schema
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Create JSON Source Table

Create JSON Source Table

Auth
Request Body
POST /sources/{source_id}/file-mappings/{file_mapping_id}/tables
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get JSON Source Table

Get JSON Source Table

Auth
GET /sources/{source_id}/file-mappings/{file_mapping_id}/tables/{table_id}
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Add/Edit Configuration for streaming options of a table group.

Add/Edit Configuration for streaming options of a table group.

Auth
Request Body
PUT /sources/{source_id}/table/{table_id}/configurations/streaming
Responses
200

Ok

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get streaming configuration of given table.

Get streaming configuration of given table.

Auth
GET /sources/{source_id}/table/{table_id}/configurations/streaming
Responses
200

Ok.

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get tables for whom streaming configurations are set in a particular source.

Get tables for whom streaming configurations are set in a particular source.

Auth
Query String
GET /sources/{source_id}/streaming-tables
Responses
200

Ok

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get streaming table info.

Get streaming table info.

Auth
GET /sources/{source_id}/streaming-tables/{table_id}
Responses
200

Ok

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Tables

Creates the file mapping (table) of the csv source.

Creates the previously configured file mapping (table) of the csv source.

Auth
Request Body

This is the JSON body of request containing configured Table object.

POST /sources/{source_id}/tables/{table_id}/configurations/file-mapping
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Modifies the file mapping (table) of the csv source.

Modifies the previously configured file mapping (table) of the csv source.

Auth
Request Body
PUT /sources/{source_id}/tables/{table_id}/configurations/file-mapping
Responses
200

Ok

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Updates the file mapping (table) of the csv source.

Updates the previously configured file mapping (table) of the csv source.

Auth
Request Body
PATCH /sources/{source_id}/tables/{table_id}/configurations/file-mapping
Responses
200

Ok

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

update source metadata

update source metadata

Auth
Request Body

Source Metadata

PUT /sources/{source_id}/metadata
Responses
200

OK

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

get source metadata

get source metadata

Auth
GET /sources/{source_id}/metadata
Responses
200

get source metadata

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

get whether staging fields can be edited

get whether staging fields can be edited

Auth
GET /sources/{source_id}/edit-staging-fields
Responses
200

get whether staging fields can be edited

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get the list of Source Files paths of the table

Get the list of Source Files paths of the table

Auth
GET /sources/{source_id}/tables/{table_id}/jobs/{job_id}/reports/sourceFilesPath
Responses
200

OK

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get meta crawled table count

Get meta crawled table count

Auth
GET /sources/{source_id}/meta-crawled-table-count
Responses
200

OK

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get List of excluded tables

Get List of source table which are not yet ingested

Auth
GET /sources/{source_id}/source_tables/excluded-tables
Responses
200

OK

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get Source schema

Get all distinct schema for a given source table

Auth
GET /sources/{source_id}/source_tables/schema-for-source
Responses
200

OK

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

list all the tables in the source

list all the tables in the source

Auth
Query String
GET /sources/{source_id}/tables
Responses
200

successful operation

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Add tables to a File Source

Add tables to a File Source

Auth
Request Body
POST /sources/{source_id}/tables
Responses
200

successful operation

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

list all the tables in the source

list all the tables in the source

Auth
Query String
POST /sources/{source_id}/fetch-tables
Responses
200

successful operation

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get Table Info

Get Table Info

Auth
GET /sources/{source_id}/tables/{table_id}
Responses
200
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Update the Table

Update the table Metadata

Auth
Request Body

Update the table Metadata

PATCH /sources/{source_id}/tables/{table_id}
Responses
200

OK

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Delete Table for a source

Delete Table for a source

Auth
DELETE /sources/{source_id}/tables/{table_id}
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Crawl Table Schema

Crawl Table Schema

Auth
GET /sources/{source_id}/tables/{table_id}/crawl-schema
Responses
200
400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

add the tables to a source and crawl metadata of those added tables

add the tables to a source and crawl metadata of those added tables

Auth
Request Body
POST /sources/{source_id}/tables/source_tables
Responses
200

successful operation

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Updates and configures the table for Ingestion

Sets ingestion configuration for a table.

Auth
Request Body

Table ingestion Configuration

PUT /sources/{source_id}/tables/{table_id}/configurations/ingestion
Responses
200

OK

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get ingestion configuration of table

Get ingestion configuration of table

Auth
GET /sources/{source_id}/tables/{table_id}/configurations/ingestion
Responses
200

get the ingestion configuration of table

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get list of Entity advance configuration

Get list of Entity advance configuration

Auth
GET /sources/{source_id}/tables/{table_id}/configurations/advance
Responses
200

Limitby list of all the entity advance configuration sorted on the format user provided

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Add advance configuration for a table

Add advance configuration for a table

Auth
Request Body
POST /sources/{source_id}/tables/{table_id}/configurations/advance
Responses
200

OK

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get table advance configuration

Get table advance configuration

Auth
GET /sources/{source_id}/tables/{table_id}/configurations/advance/{key}
Responses
200

Ok

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

update advance configuration for a table

update advance configuration for a table

Auth
Request Body

Table ingestion Configuration

PUT /sources/{source_id}/tables/{table_id}/configurations/advance/{key}
Responses
200

OK

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Delete advance configuration for a table

Delete advance configuration for a table

Auth
DELETE /sources/{source_id}/tables/{table_id}/configurations/advance/{key}
Responses
200

OK

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

update table export configuration

update table export configuration

Auth
Request Body

Table export Configuration

PUT /sources/{source_id}/tables/{table_id}/configurations/export
Responses
200

OK

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

get table export configuration

get table export configuration

Auth
GET /sources/{source_id}/tables/{table_id}/configurations/export
Responses
200

get table export configuration

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

update table column order

update table column order

Auth
Request Body

Table Column Order

PATCH /sources/{source_id}/tables/{table_id}/column-order
Responses
200

OK

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

update table metadata

update table metadata

Auth
Request Body

Table Metadata

PUT /sources/{source_id}/tables/{table_id}/metadata
Responses
200

OK

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

get table metadata

get table metadata

Auth
GET /sources/{source_id}/tables/{table_id}/metadata
Responses
200

get table metadata

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get table export configuration connection properties

Get table export configuration connection properties

Auth
GET /sources/{source_id}/tables/{table_id}/configurations/export/connection
Responses
200

OK

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

update table export configuration Connection properties

update table export configuration Connection properties

Auth
Request Body

Table export Configuration connection properties

PUT /sources/{source_id}/tables/{table_id}/configurations/export/connection
Responses
200

OK

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Start Segmentation on a Table

Start Segmentation on a Table

Auth
Path Params
Request Body
POST /sources/{source_id}/tables/{table_id}/segmentation/start
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Crawl Segments Metadata on a Table

Crawl Segments Metadata on a Table

Auth
Path Params
POST /sources/{source_id}/tables/{table_id}/segmentation/crawl
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get Table Segments of a Table

Get Table Segments of a Table

Auth
Path Params
Query String
GET /sources/{source_id}/tables/{table_id}/segmentation
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

End Segmentation on a Table

End Segmentation on a Table

Auth
Path Params
POST /sources/{source_id}/tables/{table_id}/segmentation/end
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Cancel Segmentation on a Table

Cancel Segmentation on a Table

Auth
Path Params
POST /sources/{source_id}/tables/{table_id}/segmentation/cancel
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get the schema of the table

Get the schema of the table

Auth
GET /sources/{source_id}/tables/{table_id}/configurations/schema
Responses
200

OK

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Update the schema of the table

Update the schema of the table

Auth
Request Body
PUT /sources/{source_id}/tables/{table_id}/configurations/schema
Responses
200

OK

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

configurations

Auth
GET /sources/{source_id}/tables/{table_id}/configurations
Responses
200

OK

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get a list of all table segments.

Get a list of all table segments.

Auth
GET /sources/{source_id}/tables/{table_id}/segments
Responses
200

Limitby list of all the tables segments sorted on the format user provided

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Gets Validation Specs for a Table.

Gets Validation Specs for a given TableId.

Auth
Query String
GET /sources/{source_id}/tables/{table_id}/validation-specs
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Add Validation Specs to a Table.

Add Validation Specs to a Table.

Auth
Request Body
POST /sources/{source_id}/tables/{table_id}/validation-specs
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Updates the Validation Specs for a table.

Updates the Validation Specs for a table.

Auth
Request Body
PATCH /sources/{source_id}/tables/{table_id}/validation-specs/{validation_spec_id}
Responses
200

Ok

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Delete Validation Specs for a Table

Delete Validation Specs

Auth
DELETE /sources/{source_id}/tables/{table_id}/validation-specs/{validation_spec_id}
Responses
200

successful operation

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get table preview.

Get table preview.

Auth
GET /sources/{source_id}/table/{source_table_id}/get-preview
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Generate table preview.

Generate table preview.

Auth
GET /sources/{source_id}/table/{source_table_id}/generate-preview
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Generate query table preview.

Generate query table preview.

Auth
GET /sources/{source_id}/query_table/generate-preview
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get query table preview.

Get query table preview.

Auth
GET /sources/{source_id}/query_table/get-preview
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get Preview Queries.

Gets Preview Queries.

Auth
GET /sources/{source_id}/tables/{table_id}/generateQueries
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get multiple table Ids

Get multiple table Ids

Auth
GET /tables/
Responses
200

OK

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

update table metadata

update table metadata

Auth
Request Body

Table Metadata

PATCH /tables/{table_id}/metadata
Responses
200

OK

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

get table metadata

get table metadata

Auth
GET /tables/{table_id}/metadata
Responses
200

get table metadata

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

get table lineage

get table lineage

Auth
GET /tables/{table_id}/lineage
Responses
200

get table lineage

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Add a `Table Group`.

Add a Table Group.

Auth
Request Body
POST /sources/{source_id}/table-groups
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Gets `Table Group` list.

Gets Table Group list.

Auth
Query String
GET /sources/{source_id}/table-groups
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Gets `Table Group` object for given id.

Gets Table Group object for given id.

Auth
Query String
GET /sources/{source_id}/table-groups/{table_group_id}
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Update `Table Group` object for given id.

Update Table Group object for given id.

Auth
Request Body
PUT /sources/{source_id}/table-groups/{table_group_id}
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

{table_group_id}

Auth
DELETE /sources/{source_id}/table-groups/{table_group_id}
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

This will Configure particular `Table Group` with `tableGroupId`.

This will Configure particular Table Group with tableGroupId.

Auth
Request Body

This is the JSON body of request containing configured Table group object.

POST /sources/{source_id}/table-groups/{table_group_id}/configurations
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

This will fetch array of audit logs for table group with `tableGroupId`.

This will fetch array of audit logs for table group with tableGroupId.

Auth
GET /sources/{source_id}/table-groups/{table_group_id}/audit-logs
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Gets `Table to Table Group` Mapping.

Gets Table to Table Group Mapping list.

Auth
Query String
GET /sources/{source_id}/tables-to-table-groups-mapping
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Get Table Group Schedule

Retrieves the table group schedule.

Auth
GET /sources/{source_id}/table-groups/{table_group_id}/schedules
Responses
200

Success

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Enable Table Group Schedule

Enables the table group schedule.

Auth
Request Body
PUT /sources/{source_id}/table-groups/{table_group_id}/schedules/enable
Responses
200

Ok

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Disable Table Group Schedule

Disables the table group schedule.

Auth
PUT /sources/{source_id}/table-groups/{table_group_id}/schedules/disable
Responses
200

Ok

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Configure Table Group Schedule User

Configures the table group schedule user.

Auth
PUT /sources/{source_id}/table-groups/{table_group_id}/schedules/user
Responses
200

Ok

400

Bad Request

401

Unauthorized Request

403

Forbidden Access

500

Internal Server Error

Response

Domains

Get the Target Data Connection

Get the Target Data Connection

Auth
GET /admin/data-connections/{data_connection_id}
Responses
200

Ok

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Edit the Target Data Connections Associated with a Domain

Edit the Target Data Connections Associated with a Domain

Auth
Request Body
PUT /admin/data-connections/{data_connection_id}
Responses
200

Ok

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Patch the Target Data Connection

Patch the Target Data Connection

Auth
Request Body
PATCH /admin/data-connections/{data_connection_id}
Responses
200

Ok

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Delete the Target Data Connections Associated with a Domain

Delete the Target Data Connections Associated with a Domain

Auth
DELETE /admin/data-connections/{data_connection_id}
Responses
200

Ok

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get List of Domains

Get List of Domains

Auth
Query String
GET /admin/domains
Responses
200

Ok

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get List of Domains

Get List of Domains

Auth
Query String
GET /admin/domains/{domain_id}/accessible-sources-to-add
Responses
200

Ok

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get List of Domains Users

Get List of Domains Users

Auth
Query String
GET /admin/domains/{domain_id}/domain-users
Responses
200

Ok

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get List of Accessible Domains

Get List of Accessible Domains

Auth
Query String
GET /admin/domains/{domain_id}/accessible-domains-to-add
Responses
200

Ok

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get List of Domains Pipeline Extensions

Get List of Domains Pipeline Extensions

Auth
Query String
GET /admin/domains/{domain_id}/accessible-pipeline-extensions-to-add
Responses
200

Ok

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get List of Domains

Get List of Domains

Auth
Query String
GET /domains
Responses
200

Ok

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Add a domain. (Requires Admin Access)

Add a domain. (Requires Admin Access)

Auth
Request Body
POST /domains
Responses
200

ok

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get description of a domain_id. (Requires Admin Access)

Get description of a domain_id. (Requires Admin Access)

Auth
Path Params
GET /domains/{domain_id}
Responses
200

ok

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Edit name and description of a domain. (Requires Admin Access)

Edit name and description of a domain. (Requires Admin Access)

Auth
Path Params
Request Body
PATCH /domains/{domain_id}
Responses
200

ok

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Delete a Domain (Requires Admin Access).

Delete a Domain (Requires Admin Access).

Auth
Path Params
DELETE /domains/{domain_id}
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get all the Sources associated with this Domain

Get all the Sources associated with this Domain

Auth
Path Params
Query String
GET /domains/{domain_id}/accessible-sources
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Add Sources to this Domain (Requires Admin Access)

Add Sources to this Domain (Requires Admin Access)

Auth
Path Params
Request Body
POST /domains/{domain_id}/accessible-sources
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Update Sources to this Domain (Requires Admin Access)

Update Sources to this Domain (Requires Admin Access)

Auth
Path Params
Request Body
PUT /domains/{domain_id}/accessible-sources
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Remove Source from this Domain (Requires Admin Access)

Remove Source from this Domain (Requires Admin Access)

Auth
Path Params
DELETE /domains/{domain_id}/accessible-sources
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get all the Domains associated with this Domain

Get all the Domains associated with this Domain

Auth
Path Params
Query String
GET /domains/{domain_id}/accessible-domains
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Add Domains to this Domain (Requires Admin Access)

Add Domains to this Domain (Requires Admin Access)

Auth
Path Params
Request Body
POST /domains/{domain_id}/accessible-domains
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Update accessible-domain in this Domain (Requires Admin Access)

Update accessible-domain in this Domain (Requires Admin Access)

Auth
Path Params
Request Body
PUT /domains/{domain_id}/accessible-domains
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Remove Domain from this Domain (Requires Admin Access)

Remove Domain from this Domain (Requires Admin Access)

Auth
Path Params
DELETE /domains/{domain_id}/accessible-domains
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get all the workflows associated with this Domain

Get all the workflows associated with this Domain

Auth
Path Params
GET /domains/{domain_id}/accessible-workflows
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get all the tablegroups associated with this Domain

Get all the tablegroups associated with this Domain

Auth
Path Params
GET /domains/{domain_id}/accessible-table-groups
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get all the interactive computes associated with this Domain

Get all the interactive computes associated with this Domain

Auth
Path Params
GET /domains/{domain_id}/accessible-interactive-computes
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get all the pipelines associated with this Domain

Get all the pipelines associated with this Domain

Auth
Path Params
GET /domains/{domain_id}/accessible-pipelines
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get all the Pipeline Extensions associated with this Domain

Get all the Pipeline Extensions associated with this Domain

Auth
Path Params
Query String
GET /domains/{domain_id}/accessible-pipeline-extensions
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Update accessible-pipeline-extensions in this Domain (Requires Admin Access)

Update accessible-pipeline-extensions in this Domain (Requires Admin Access)

Auth
Path Params
Request Body
PUT /domains/{domain_id}/accessible-pipeline-extensions
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Add Pipeline Extensions to this Domain (Requires Admin Access)

Add Pipeline Extensions to this Domain (Requires Admin Access)

Auth
Path Params
Request Body
POST /domains/{domain_id}/accessible-pipeline-extensions
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Remove Pipeline Extension from this Domain (Requires Admin Access)

Remove Pipeline Extension from this Domain (Requires Admin Access)

Auth
Path Params
DELETE /domains/{domain_id}/accessible-pipeline-extensions
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

{key}

Domain Advanced Configurations

Auth
Path Params
Request Body
PUT /domains/{domain_id}/configurations/advance/{key}
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

{key}

update advanced configs

Auth
Path Params
Request Body
PATCH /domains/{domain_id}/configurations/advance/{key}
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

{key}

delete advanced configs

Auth
Path Params
DELETE /domains/{domain_id}/configurations/advance/{key}
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get recently used entities associated with this Domain

Get recently used entities associated with this Domain

Auth
GET /domains/{domain_id}/recently-used-entities
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Add Recently Used Entity to this Domain

Add Recently Used Entity to this Domain

Auth
Path Params
Request Body
POST /domains/{domain_id}/recently-used-entities
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get comments associated with this Domain

Get comments associated with this Domain

Auth
GET /domains/{domain_id}/comments
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Add comment to this Domain

Add comment to this Domain

Auth
Path Params
Request Body
POST /domains/{domain_id}/comments
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get notifications associated with this Domain

Get notifications associated with this Domain

Auth
GET /domains/{domain_id}/notifications
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get Table Orders With Hierachy

Get Table Orders With Hierachy

Auth
GET /domains/{domain_id}/pipelines/{pipeline_id}/versions/{version_id}/node/{node_id}
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get Domains Pipeline and Accessibele Sources

Get Domains Pipeline and Accessibele Sources

Auth
GET /domains/{domain_id}/environment_details_pipelines_accessible_sources
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Pipelines

Get all pipelines of all domains

Get all pipelines of all domains

Auth
Query String
GET /admin/pipelines
Responses
200

Success

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Change the active version of the Pipeline

Change the active version of the Pipeline

Auth
Path Params
Query String
POST /domains/{domain_id}//pipelines/{pipeline_id}/versions/{version_id}/set-active
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get all pipelines for domain with `domain_id`

Get all pipelines for domain with domain_id

Auth
Query String
GET /domains/{domain_id}/pipelines
Responses
200

Success

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

create new pipeline for domain with `domain_id`

create new pipeline for domain with domain_id

Auth
Request Body
POST /domains/{domain_id}/pipelines
Responses
200

Success

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Gets a `pipeline` with `{pipeline_id}` in `domain` with `{domain_id}`.

Gets a pipeline with {pipeline_id} in domain with {domain_id}.

Auth
GET /domains/{domain_id}/pipelines/{pipeline_id}
Responses
200

Success

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Deletes a `pipeline` with `{pipeline_id}` in `domain` with `{domain_id}`.

Deletes a pipeline with {pipeline_id} in domain with {domain_id}.

Auth
DELETE /domains/{domain_id}/pipelines/{pipeline_id}
Responses
200

Success

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Updates a `pipeline` with `{pipeline_id}` in `domain` with `{domain_id}`.

Updates a pipeline with {pipeline_id} in domain with {domain_id}.

Auth
Request Body
PUT /domains/{domain_id}/pipelines/{pipeline_id}
Responses
200

Success

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Gets list of workflows using pipeline with `{pipeline_id}` in `domain` with `{domain_id}`.

Gets list of workflows using pipeline with {pipeline_id} in domain with `{domain_id}.

Auth
GET /domains/{domain_id}/pipelines/{pipeline_id}/impacted-workflows
Responses
200

Success

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Gets all `pipeline analytics models` for ML Engine with `{pipeline_id}` in `domain` with `{domain_id}`.

Gets all pipeline analytics models for ML Engine with {pipeline_id} in domain with {domain_id}.

Auth
GET /domains/{domain_id}/pipelines/{pipeline_id}/analytics-models
Responses
200

Success

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get list of all versions of Pipeline

Get list of all versions of Pipeline

Auth
Query String
GET /domains/{domain_id}/pipelines/{pipeline_id}/versions
Responses
200

Success

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Create a pipeline version

Creates a new pipeline version

Auth
Request Body
POST /domains/{domain_id}/pipelines/{pipeline_id}/versions
Responses
200

Success

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Gets a `pipelineVersion` with `pipeline_version_id` of `pipeline` with `{pipeline_id}` in `domain` with `{domain_id}`.

Gets a pipelineVersion with pipeline_version_id of pipeline with {pipeline_id} in domain with {domain_id}.

Auth
GET /domains/{domain_id}/pipelines/{pipeline_id}/versions/{version_id}
Responses
200

Success

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Deletes a `pipelineVersion` with `pipeline_version_id` of `pipeline` with `{pipeline_id}` in `domain` with `{domain_id}`.

Deletes a pipelineVersion with pipeline_version_id of pipeline with {pipeline_id} in domain with {domain_id}.

Auth
DELETE /domains/{domain_id}/pipelines/{pipeline_id}/versions/{version_id}
Responses
200

Success

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Update a `pipelineVersion` with `pipeline_version_id` of `pipeline` with `{pipeline_id}` in `domain` with `{domain_id}`.

Update a pipelineVersion with pipeline_version_id of pipeline with {pipeline_id} in domain with {domain_id}.

Auth
Request Body
PATCH /domains/{domain_id}/pipelines/{pipeline_id}/versions/{version_id}
Responses
200

Success

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

importSql

import sql

Auth
Headers
Path Params
Query String
Request Body
POST /domains/{domain_id}/pipelines/{pipeline_id}/sql-import
Responses
200

Success

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Exports the pipeline configuration

Exports the pipeline configuration to JSON format for pipeline with pipeline_id in domain with domain_id

Auth
Query String
GET /domains/{domain_id}/pipelines/{pipeline_id}/config-migration
Responses
200

Success

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Imports the pipeline configuration

Imports the pipeline configuration from JSON format for pipeline with pipeline_id in domain with domain_id.

Auth
Query String
Request Body
POST /domains/{domain_id}/pipelines/{pipeline_id}/config-migration
Responses
200

Success

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Gets lineage for Pipeline Column.

Gets lineage for Pipeline Column.

Auth
GET /domains/{domain_id}/pipelines/{pipeline_id}/versions/{pipeline_version_id}/lineage
Responses
200

Success

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Validate a pipeline

Validates a pipeline version

Auth
GET /domains/{domain_id}/pipelines/{pipeline_id}/versions/{pipeline_version_id}/validate
Responses
200

Success

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Refresh sample data

Refreshes the sample data

Auth
GET /domains/{domain_id}/pipelines/{pipeline_id}/versions/{pipeline_version_id}/refresh-sample-data
Responses
200

Success

Response

Get node schema

Retrieves schema for a node in pipeline

Auth
GET /domains/{domain_id}/pipelines/{pipeline_id}/versions/{pipeline_version_id}/nodes/{node_id}/schema
Responses
200

Success

Response

Get node data

Retrieves data for a node in pipeline

Auth
GET /domains/{domain_id}/pipelines/{pipeline_id}/versions/{pipeline_version_id}/nodes/{node_id}/data
Responses
200

Success

Response

Get node query

Retrieves query for a node in pipeline

Auth
GET /domains/{domain_id}/pipelines/{pipeline_id}/versions/{pipeline_version_id}/nodes/{node_id}/query
Responses
200

Success

Response

Get target SQL preview

Retrieves SQL query preview for target node

Auth
GET /domains/{domain_id}/pipelines/{pipeline_id}/versions/{pipeline_version_id}/nodes/{node_id}/sql-inspection
Responses
200

Success

Response

Get Pipeline Version Audit Logs.

Get Pipeline Version Audit Logs

Auth
GET /domains/{domain_id}/pipelines/{pipeline_id}/versions/{version_id}/pipeline-version-audits
Responses
200

Success

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Update Pipeline Version Audit Logs

Update Pipeline Version Audit Logs

Auth
Path Params
Request Body
PATCH /domains/{domain_id}/pipelines/{pipeline_id}/versions/{version_id}/pipeline-version-audits
Responses
200

ok

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get Pipeline Version Audit Logs.

Get Pipeline Version Audit Logs

Auth
GET /domains/{domain_id}/pipelines/{pipeline_id}/pipeline-audits
Responses
200

Success

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

getTablesfromPipelineSources

getTablesfromPipelineSources

Auth
GET /domains/{domain_id}/accessible-tables-pipeline-sources
Responses
200

Success

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

File upload sql pipeline migration

File upload sql pipeline migration

Auth
Request Body
PUT /domains/{domain_id}/pipelines/{pipeline_id}/upload-sql-file-pipeline
Responses
200

Ok

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Import sql pipeline migration

Import sql pipeline migration

Auth
Request Body
PUT /domains/{domain_id}/pipelines/{pipeline_id}/import-sql-mappings
Responses
200

Success

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get Pipeline Extensions List

Get Pipeline Extensions List

Auth
Query String
GET /admin/pipeline-extensions
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get Pipeline Extensions List

Get Pipeline Extensions List

Auth
Headers
Request Body
POST /admin/pipeline-extensions
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get Pipeline Extension by id

Get Pipeline Extension by pipeline_extension_id

Auth
GET /admin/pipeline-extensions/{pipeline_extension_id}
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Update Pipeline Extension by id

Update Pipeline Extension by pipeline_extension_id

Auth
Request Body
PUT /admin/pipeline-extensions/{pipeline_extension_id}
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Delete Pipeline Extension by id

Delete Pipeline Extension by pipeline_extension_id

Auth
DELETE /admin/pipeline-extensions/{pipeline_extension_id}
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get all files in Pipeline Extension by id

Get all files in Pipeline Extension by pipeline_extension_id

Auth
GET /admin/pipeline-extensions/{pipeline_extension_id}/files
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

add file in Pipeline Extension by id

add file in Pipeline Extension by pipeline_extension_id

Auth
Request Body
POST /admin/pipeline-extensions/{pipeline_extension_id}/files
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get Pipeline Extensions List

Get Pipeline Extensions List

Auth
Headers
Request Body
POST /admin/source-extensions
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get Source Extensions List

Get Source Extensions List

Auth
Query String
GET /admin/source-extensions
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get Source Extension by id

Get Source Extension by source_extension_id

Auth
GET /admin/source-extensions/{source_extension_id}
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Update Source Extension by id

Update Source Extension by source_extension_id

Auth
Request Body
PUT /admin/source-extensions/{source_extension_id}
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Delete Source Extension by id

Delete Source Extension by source_extension_id

Auth
DELETE /admin/source-extensions/{source_extension_id}
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get all files in Source Extension by id

Get all files in Source Extension by source_extension_id

Auth
GET /admin/source-extensions/{source_extension_id}/files
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

add file in Source Extension by id

add file in Source Extension by source_extension_id

Auth
Request Body
POST /admin/source-extensions/{source_extension_id}/files
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Delete File from Source Extension by file name

Delete File from Source Extension by file_name

Auth
DELETE /admin/source-extensions/{source_extension_id}/files/{file_name}
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get list of all Workflows for a `domain` with `{domain_id}`.

Get list of all Workflows for a domain with {domain_id}.

Auth
Headers
Path Params
Query String
GET /domains/{domain_id}/workflows
Responses
200

Success

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Create Workflow for a `domain` with `{domain_id}`.

Create Workflow for a domain with {domain_id}.

Auth
Headers
Path Params
Request Body

This is the JSON body of request containing configured Workflow object.

POST /domains/{domain_id}/workflows
Responses
200

Success

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Gets a `workflow` with `{workflow_id}` in `domain` with `{domain_id}`.

Gets a workflow with {workflow_id} in domain with {domain_id}.

Auth
Path Params
GET /domains/{domain_id}/workflows/{workflow_id}
Responses
200

Success

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Deletes a `workflow` with `{workflow_id}` in `domain` with `{domain_id}`.

Deletes a workflow with {workflow_id} in domain with {domain_id}.

Auth
Path Params
DELETE /domains/{domain_id}/workflows/{workflow_id}
Responses
200

Success

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Update a `workflow` with `{workflow_id}` in `domain` with `{domain_id}`.

Update a workflow with {workflow_id} in domain with {domain_id}.

Auth
Path Params
Request Body
PATCH /domains/{domain_id}/workflows/{workflow_id}
Responses
200

Success

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Exports workflow configuration

Exports the workflow configuration to JSON format for workflow with workflow_id in domain with domain_id

Auth
Path Params
Query String
GET /domains/{domain_id}/workflows/{workflow_id}/config-migration
Responses
200

Success

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Imports workflow configuration

Imports the workflow configuration from JSON format for workflow with workflow_id in domain with domain_id.

Auth
Path Params
Request Body

This is the JSON body of request containing configuration of the Workflow object.

PUT /domains/{domain_id}/workflows/{workflow_id}/config-migration
Responses
200

Success

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Runs the latest workflow

Runs the latest workflow with the provided workflow_id, domain_id, and returns workflow_run_id.

Auth
Path Params
Query String
Request Body

Optional Request Body containing Workflow Parameters to be submitted at Runtime and skip nodes to skip the workflow tasks at Runtime.

POST /domains/{domain_id}/workflows/{workflow_id}/start
Responses
200

Success

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

This will pause all running builds of `workflow` with `{workflow_id}`.

This will pause all running builds of workflow with {workflow_id}.

Auth
Path Params
Query String
POST /domains/{domain_id}/workflows/{workflow_id}/pause
Responses
200

Success

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

This will resume all paused builds of `workflow` with `{workflow_id}`.

This will resume all paused builds of workflow with {workflow_id}.

Auth
Path Params
Query String
POST /domains/{domain_id}/workflows/{workflow_id}/resume
Responses
200

Success

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get workflow lineage

Retrieves the workflow lineage

Auth
Path Params
GET /domains/{domain_id}/workflows/{workflow_id}/lineage
Responses
200

Success

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get workflow ancestors

Retrieves the workflow ancestors

Auth
Path Params
GET /domains/{domain_id}/workflows/{workflow_id}/ancestors
Responses
200

Success

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

This will get all builds of `workflow` with `{workflow_id}`.

This will get all builds of workflow with {workflow_id}.

Auth
Headers
Path Params
Query String
GET /domains/{domain_id}/workflows/{workflow_id}/runs
Responses
200

Success

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

This will get a specific build of `workflow` with `{workflow_id}`.

This will get a specific build of workflow with {workflow_id}.

Auth
Headers
Path Params
GET /domains/{domain_id}/workflows/{workflow_id}/runs/{workflow_run_id}
Responses
200

Success

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

This will restart running `workflow` with `{workflow_id}`.

This will restart running workflow with {workflow_id}.

Auth
Path Params
Request Body

Optional Request Body containing Skip Nodes to be skip workflow tasks at Runtime.

POST /domains/{domain_id}/workflows/{workflow_id}/runs/{workflow_run_id}/restart
Responses
200

Success

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

This will cancel running `workflow` with `{workflow_id}` for build with `workflow_run_id`.

This will cancel running workflow with {workflow_id} for build with workflow_run_id.

Auth
Path Params
POST /domains/{domain_id}/workflows/{workflow_id}/runs/{workflow_run_id}/cancel
Responses
200

Success

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get task logs for a workflow run

Retrieves the logs for a specific task in a workflow run. It fetches logs for the latest attempt by default if try_number is not specified.

Auth
Path Params
Query String
GET /domains/{domain_id}/workflows/{workflow_id}/runs/{workflow_run_id}/tasks/{task_id}/logs
Responses
200

Success

Headers
Body
400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Download task logs for a workflow run

Downloads the logs for a specific task in a workflow run. The downloaded zip file will contain logs for all attempts of that task for that particular workflow run.

Auth
Path Params
GET /domains/{domain_id}/workflows/{workflow_id}/runs/{workflow_run_id}/tasks/{task_id}/logs/download
Responses
200

Success

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Gets parents workflow details of the workflow

Gets parents workflow details of the workflow.

Auth
Path Params
GET /domains/{domain_id}/workflows/{workflow_id}/parents
Responses
200

Success

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Set workflow variables for a task in a workflow run

Set workflow variables for a task in a workflow run with {workflow_run_id} for workflow with {workflow_id} in domain with {domain_id}.

Auth
Path Params
Request Body

This is the JSON body of request containing workflow variable.

POST /domains/{domain_id}/workflows/{workflow_id}/runs/{workflow_run_id}/tasks/{task_id}/variables
Responses
200

Success

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get Workflows

Get Workflows runs (This operation is only for operations_analyst user)

Auth
Request Body
POST /prodops/workflow_runs
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Retrieves the job details

Retrieve the details and status of any job. This is applicable only for the Operations Analyst user.

Auth
GET /prodops/workflow_runs/{run_id}/jobs
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Restart Multiple Workflows

Restart Multiple Workflows (This operation is only for operations_analyst user)

Auth
Request Body
POST /prodops/workflows/restart
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Cancel Multiple Workflows

Cancel Multiple Workflows (This operation is only for operations_analyst user)

Auth
Request Body
POST /prodops/workflows/cancel
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get all versions of a workflow

Get all versions of a workflow with {workflow_id} in domain with {domain_id}.

Auth
Path Params
Query String
GET /domains/{domain_id}/workflows/{workflow_id}/versions
Responses
200

Success

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Create a new version of a workflow

Create a new version of a workflow with {workflow_id} in domain with {domain_id}.

Auth
Path Params
Query String
Request Body

This is the JSON body of request containing configured Workflow Version object.

POST /domains/{domain_id}/workflows/{workflow_id}/versions
Responses
200

Success

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get a specific version of a workflow

Get a specific version of a workflow with {workflow_id} in domain with {domain_id}.

Auth
Path Params
GET /domains/{domain_id}/workflows/{workflow_id}/versions/{workflow_version_id}
Responses
200

Success

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Update a specific version of a workflow

Update a specific version of a workflow with {workflow_id} in domain with {domain_id}.

Auth
Path Params
Request Body

This is the JSON body of request containing updated Workflow Version object.

PUT /domains/{domain_id}/workflows/{workflow_id}/versions/{workflow_version_id}
Responses
200

Success

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Delete a specific version of a workflow

Delete a specific version of a workflow with {workflow_id} in domain with {domain_id}.

Auth
Path Params
DELETE /domains/{domain_id}/workflows/{workflow_id}/versions/{workflow_version_id}
Responses
200

Success

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get audit logs for a specific version of a workflow

Get audit logs for a specific version of a workflow with {workflow_id} in domain with {domain_id}.

Auth
Path Params
Query String
GET /domains/{domain_id}/workflows/{workflow_id}/versions/{workflow_version_id}/audits
Responses
200

Success

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Set a specific version of a workflow as active

Set a specific version of a workflow with {workflow_id} in domain with {domain_id} as active.

Auth
Path Params
POST /domains/{domain_id}/workflows/{workflow_id}/versions/{workflow_version_id}/set-active
Responses
200

Success

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Set workflow variables for a task in a specific version of a workflow

Set workflow variables for a task in a specific version of a workflow with {workflow_id} in domain with {domain_id}.

Auth
Path Params
Request Body

This is the JSON body of request containing workflow variable.

POST /domains/{domain_id}/workflows/{workflow_id}/versions/{workflow_version_id}/tasks/{task_id}/variables
Responses
200

Success

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Schedules of Workflows belonging to this Domain.

Schedules of Workflows belonging to this Domain.

Auth
Path Params
GET /domains/{domain_id}/schedules
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Schedules of particular Workflow belonging to this Domain.

Schedules of particular Workflow belonging to this Domain.

Auth
Path Params
GET /domains/{domain_id}/workflows/{workflow_id}/schedules
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Enable Workflow Schedule

Enable Workflow Schedule

Auth
Path Params
Request Body

Schedule Details

PUT /domains/{domain_id}/workflows/{workflow_id}/schedules/enable
Responses
200

Ok

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Disable Workflow Schedule

Disable Workflow Schedule

Auth
Path Params
PUT /domains/{domain_id}/workflows/{workflow_id}/schedules/disable
Responses
200

Ok

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Change Workflow Schedule User

Change Workflow Schedule User

Auth
Path Params
PUT /domains/{domain_id}/workflows/{workflow_id}/schedules/user
Responses
200

Ok

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Jobs

Get the jobs details

Get the jobs details

Auth
Query String
GET /admin/jobs
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get the job details with `job_id`

Get the job details with job_id

Auth
GET /admin/jobs/{job_id}
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Resubmit Failed tables for ingestion

Resubmit Failed tables for ingestion

Auth
POST /admin/jobs/{job_id}/resubmit
Responses
200

Success

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get the job log as text stream with `job_id`

Get the job log as text stream with job_id

Auth
GET /admin/jobs/{job_id}/logs
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Download iw job logs zip for iw_job with job_id

Download iw job logs zip for iw_job with job_id

Auth
GET /admin/jobs/{job_id}/logs/download
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

Internal Server Error.

Response

Get cluster jobs for iw_job with job_id

Get cluster jobs for iw_job with job_id

Auth
GET /admin/jobs/{job_id}/runs
Responses
200

Ok.

400

Request has invalid body or parameters.

401

Authentication Failed. Please check your Credentials

403

Forbidden. User lacks access to specified resource.

500

[...]
